Subject: Re: bug#64152: 29.0.92; 'redirect-frame-focus' is broken

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Jun 2023 20:22:23 +0300

> Date: Mon, 19 Jun 2023 14:26:22 +0000
> From: Gregory Heytings <[email-masked]>
> cc: martin rudalics <[email-masked]>, [email-masked]
> 
> 
> >> That change has immediate consequences for interactions based on 
> >> read_minibuf.  With emacs -Q evaluate (make-frame '((minibuffer . 
> >> nil))) and in the frame created thusly type C-x C-f.  At this time it 
> >> is impossible to access the minibuffer-less frame using C-x o, C-x 5 o, 
> >> the window manager's Alt-TAB or any other key combination.  All these 
> >> key combinations used to work in the given configuration ever since. 
> >> With a minibuffer-only frames setup, the minibuffer window has become 
> >> "modal".
> >
> > This works in Emacs 28, so the minibuffer-follows-selected-frame changes 
> > aren't the culprit.  Bisection will be appreciated.
> >
> 
> The culprit is 9cd72b02b6.

Thanks.

Alan, could you please look into fixing this?  Perhaps the recipe
posted by Martin explains the rationale for having that "obscure,
obsolete code" you removed?

This is a regression in Emacs 29, so we should try fixing it on the
emacs-29 branch.